{
	"lock": false,
	"tasks": {
		"dev": "deno run -A tools/dev.ts",
		"build": "deno run -A tools/build.ts",
		"build:watch": "deno run --watch=src -A tools/build.ts",
		"serve": "deno run -A src/server/index.ts",
		"serve:watch": "deno run --watch=src -A src/server/index.ts"
	},
	"lint": {
		"rules": {
			"tags": [
				"recommended"
			]
		}
	},
	"exclude": [
		"dist"
	],
	"imports": {
		"react/": "https://esm.sh/react@18.3.1/",
		"react-dom/": "https://esm.sh/react-dom@18.3.1/client/",
		"react": "https://esm.sh/react@18.3.1",
		"react-dom": "https://esm.sh/react-dom@18.3.1/client",
		"canvas": "https://esm.sh/canvas@3.0.0"
	},
	"compilerOptions": {
		"lib": ["deno.ns", "DOM"],
		"jsx": "react-jsx",
		"jsxImportSource": "react",
		"strict": true,
		"exactOptionalPropertyTypes": true,
		"noFallthroughCasesInSwitch": true,
		"noUncheckedIndexedAccess": true,
		"noImplicitOverride": true,
		"noImplicitReturns": true,
		"allowUnusedLabels": false
	},
	"fmt": {
		"useTabs": true
	}
}
